<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./css/login.css">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <title>Login-form</title>
</head>
<body>
    <div class="container"> 
       <div class="main">
            <div class="logo-img">
                <img src="./img/cropped-Rejolut.png" alt="logo-img">
            </div>
            
            <div class="heading">
                <div class="main-heading">
                    <h3>LOGIN</h3>
                </div>

                <div class="sub-heading">
                    <p>Hello there!Login and start managing your 
                        <span>Project Directory</span></p>
                    <p id="msg"></p>
                </div>
            </div>
            <div class="login-form">
                <form>
                    <label for = "Login">Login</label> 
                    <div class="input-field">
                        <input id="email" type="email" placeholder="example@Rejolut.com" onkeypress="emailTick()">
                        <img src="./img/check-solid.svg" id="email-tick" >
                    </div>
                    
                    <label for = "password"> password </label>
                    <div class="input-field">
                        <input id="password" type="password" placeholder="*******" onkeypress="passTick()">
                        <img src="./img/check-solid.svg" id="pass-tick" >
                    </div>
                         
                </form>

                <div class="button">
                    <input type="submit" value="Login" onclick="validate()">
                </div>
                
            </div>
        </div>
    </div>
    
<script>
       async function validate()
        {
            let username = document.getElementById('email').value;
            let password = document.getElementById('password').value;
            const messageEle = document.getElementById('msg');
            const emailTick = document.getElementById('email-tick');
            let pattern = /^\w+@[a-zA-Z_]+?\.[a-zA-Z]{2,20}$/;

            if (!username && pattern ) {
                messageEle.innerHTML = "Emai-id must be filled out";  
            }else if(!pattern.test(username)){
                messageEle.innerHTML = "Invalid Email-Id";  
               // emailTick.style.display = 'inherit';
            }else if(!password) {
                messageEle.innerHTML = "password must be filled out";
               // emailTick.style.display = 'inherit';
            }
            else{
                let loginResult = await loginUser();
                if(!loginResult.data.success){
                    messageEle.innerHTML = loginResult.data.message;
                }
                else{
                    localStorage.setItem('Authorization', `Bearer ${loginResult.data.token}`);
                    messageEle.innerHTML = loginResult.data.msg;
                    window.parent.location = "./index.html";
                }
            }
        }    

       function loginUser()
       {
           return new Promise((resolve, reject) => {
            const  username =  document.getElementById('email').value;
            const password =  document.getElementById('password').value;
            const userData = {
                    userName:username,
                    password:password,
            }
            axios.post('http://15.206.64.54:4000/login',userData)
                .then(function (response) {
                    console.log(response)
                    if(response.data.success){
                        localStorage.setItem('userName', username);
                        resolve(response);
                    } else{
                        resolve(response);
                    }
                })
                .catch(function (error) {
                    console.log("......",error);
                });
           })
        };

        function emailTick(){
            console.log("aaaaaaaaaaaaaaa.........");
            let username = document.getElementById('email').value;
            const messageEle = document.getElementById('msg');
            let pattern = /^\w+@[a-zA-Z_]+?\.[a-zA-Z]{2,20}$/;
            const emailTick = document.getElementById('email-tick')

            if (!username && pattern ) {
                //messageEle.innerHTML = "Emai-id must be filled out";  
            }else if(!pattern.test(username)){
               // messageEle.innerHTML = "Invalid Email-Id";  
                emailTick.style.display = 'none'; 
            }else{
                emailTick.style.display = 'inherit';
            }     
        }

        function passTick(){
            let password = document.getElementById('password').value;
            const messageEle = document.getElementById('msg');
            const passTick = document.getElementById('pass-tick');

            if(!password) {
                passTick.style.display = 'none';
            }else{
                passTick.style.display = 'inherit';
            }
        }
        
</script>

</body>
</html>